﻿@model Kurumsal21.MvcWebUI.Models.ProductListViewModel
@{
}

<html>
<head>
    <title>Merhaba</title>
</head>
<body>
    <div>
        <table class="table table-responsive">
            <tr>
                <td>Product Name</td>
                <td>Unit Price</td>
                <td>Units In Stock </td>
                <td></td>
            </tr>
            @foreach (var product in Model.Products)
            {
                <tr>
                    <td>@product.ProductName</td>
                    <td>@product.UnitPrice</td>
                    <td>@product.UnitsInStock</td>
                    <td><a class="btn btn-xs btn-success" asp-controller="Cart" asp-action="AddToCart" asp-route-productId="@product.ProductId">Add to Cart</a></td>
                </tr>

            }
        </table>
    </div>
</body>
</html>
<product-list-pager current-category="@Model.CurrentCategory"
current-page="@Model.CurrentPage"
page-count="@Model.PageCount" 
page-size="@Model.PageSize"
></product-list-pager>